Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.78.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
35.78.0.0
Broadcast address
35.78.255.255
First usable
35.78.0.1
Last usable
35.78.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 234E0000 · Integer 592314368 to 592379903
Reverse DNS zone
78.35.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.01001110..00000000.0000000035.78.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00100011.01001110..00000000.0000000035.78.0.0
Broadcast00100011.01001110..11111111.1111111135.78.255.255
Split into smaller subnets/26

35.78.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.78.0.0/2635.78.0.1 to 35.78.0.6235.78.0.6362
235.78.0.64/2635.78.0.65 to 35.78.0.12635.78.0.12762
335.78.0.128/2635.78.0.129 to 35.78.0.19035.78.0.19162
435.78.0.192/2635.78.0.193 to 35.78.0.25435.78.0.25562
535.78.1.0/2635.78.1.1 to 35.78.1.6235.78.1.6362
635.78.1.64/2635.78.1.65 to 35.78.1.12635.78.1.12762
735.78.1.128/2635.78.1.129 to 35.78.1.19035.78.1.19162
835.78.1.192/2635.78.1.193 to 35.78.1.25435.78.1.25562
935.78.2.0/2635.78.2.1 to 35.78.2.6235.78.2.6362
1035.78.2.64/2635.78.2.65 to 35.78.2.12635.78.2.12762
1135.78.2.128/2635.78.2.129 to 35.78.2.19035.78.2.19162
1235.78.2.192/2635.78.2.193 to 35.78.2.25435.78.2.25562
1335.78.3.0/2635.78.3.1 to 35.78.3.6235.78.3.6362
1435.78.3.64/2635.78.3.65 to 35.78.3.12635.78.3.12762
1535.78.3.128/2635.78.3.129 to 35.78.3.19035.78.3.19162
1635.78.3.192/2635.78.3.193 to 35.78.3.25435.78.3.25562
1735.78.4.0/2635.78.4.1 to 35.78.4.6235.78.4.6362
1835.78.4.64/2635.78.4.65 to 35.78.4.12635.78.4.12762
1935.78.4.128/2635.78.4.129 to 35.78.4.19035.78.4.19162
2035.78.4.192/2635.78.4.193 to 35.78.4.25435.78.4.25562
2135.78.5.0/2635.78.5.1 to 35.78.5.6235.78.5.6362
2235.78.5.64/2635.78.5.65 to 35.78.5.12635.78.5.12762
2335.78.5.128/2635.78.5.129 to 35.78.5.19035.78.5.19162
2435.78.5.192/2635.78.5.193 to 35.78.5.25435.78.5.25562
2535.78.6.0/2635.78.6.1 to 35.78.6.6235.78.6.6362
2635.78.6.64/2635.78.6.65 to 35.78.6.12635.78.6.12762
2735.78.6.128/2635.78.6.129 to 35.78.6.19035.78.6.19162
2835.78.6.192/2635.78.6.193 to 35.78.6.25435.78.6.25562
2935.78.7.0/2635.78.7.1 to 35.78.7.6235.78.7.6362
3035.78.7.64/2635.78.7.65 to 35.78.7.12635.78.7.12762
3135.78.7.128/2635.78.7.129 to 35.78.7.19035.78.7.19162
3235.78.7.192/2635.78.7.193 to 35.78.7.25435.78.7.25562
3335.78.8.0/2635.78.8.1 to 35.78.8.6235.78.8.6362
3435.78.8.64/2635.78.8.65 to 35.78.8.12635.78.8.12762
3535.78.8.128/2635.78.8.129 to 35.78.8.19035.78.8.19162
3635.78.8.192/2635.78.8.193 to 35.78.8.25435.78.8.25562
3735.78.9.0/2635.78.9.1 to 35.78.9.6235.78.9.6362
3835.78.9.64/2635.78.9.65 to 35.78.9.12635.78.9.12762
3935.78.9.128/2635.78.9.129 to 35.78.9.19035.78.9.19162
4035.78.9.192/2635.78.9.193 to 35.78.9.25435.78.9.25562
4135.78.10.0/2635.78.10.1 to 35.78.10.6235.78.10.6362
4235.78.10.64/2635.78.10.65 to 35.78.10.12635.78.10.12762
4335.78.10.128/2635.78.10.129 to 35.78.10.19035.78.10.19162
4435.78.10.192/2635.78.10.193 to 35.78.10.25435.78.10.25562
4535.78.11.0/2635.78.11.1 to 35.78.11.6235.78.11.6362
4635.78.11.64/2635.78.11.65 to 35.78.11.12635.78.11.12762
4735.78.11.128/2635.78.11.129 to 35.78.11.19035.78.11.19162
4835.78.11.192/2635.78.11.193 to 35.78.11.25435.78.11.25562
4935.78.12.0/2635.78.12.1 to 35.78.12.6235.78.12.6362
5035.78.12.64/2635.78.12.65 to 35.78.12.12635.78.12.12762
5135.78.12.128/2635.78.12.129 to 35.78.12.19035.78.12.19162
5235.78.12.192/2635.78.12.193 to 35.78.12.25435.78.12.25562
5335.78.13.0/2635.78.13.1 to 35.78.13.6235.78.13.6362
5435.78.13.64/2635.78.13.65 to 35.78.13.12635.78.13.12762
5535.78.13.128/2635.78.13.129 to 35.78.13.19035.78.13.19162
5635.78.13.192/2635.78.13.193 to 35.78.13.25435.78.13.25562
5735.78.14.0/2635.78.14.1 to 35.78.14.6235.78.14.6362
5835.78.14.64/2635.78.14.65 to 35.78.14.12635.78.14.12762
5935.78.14.128/2635.78.14.129 to 35.78.14.19035.78.14.19162
6035.78.14.192/2635.78.14.193 to 35.78.14.25435.78.14.25562
6135.78.15.0/2635.78.15.1 to 35.78.15.6235.78.15.6362
6235.78.15.64/2635.78.15.65 to 35.78.15.12635.78.15.12762
6335.78.15.128/2635.78.15.129 to 35.78.15.19035.78.15.19162
6435.78.15.192/2635.78.15.193 to 35.78.15.25435.78.15.25562
6535.78.16.0/2635.78.16.1 to 35.78.16.6235.78.16.6362
6635.78.16.64/2635.78.16.65 to 35.78.16.12635.78.16.12762
6735.78.16.128/2635.78.16.129 to 35.78.16.19035.78.16.19162
6835.78.16.192/2635.78.16.193 to 35.78.16.25435.78.16.25562
6935.78.17.0/2635.78.17.1 to 35.78.17.6235.78.17.6362
7035.78.17.64/2635.78.17.65 to 35.78.17.12635.78.17.12762
7135.78.17.128/2635.78.17.129 to 35.78.17.19035.78.17.19162
7235.78.17.192/2635.78.17.193 to 35.78.17.25435.78.17.25562
7335.78.18.0/2635.78.18.1 to 35.78.18.6235.78.18.6362
7435.78.18.64/2635.78.18.65 to 35.78.18.12635.78.18.12762
7535.78.18.128/2635.78.18.129 to 35.78.18.19035.78.18.19162
7635.78.18.192/2635.78.18.193 to 35.78.18.25435.78.18.25562
7735.78.19.0/2635.78.19.1 to 35.78.19.6235.78.19.6362
7835.78.19.64/2635.78.19.65 to 35.78.19.12635.78.19.12762
7935.78.19.128/2635.78.19.129 to 35.78.19.19035.78.19.19162
8035.78.19.192/2635.78.19.193 to 35.78.19.25435.78.19.25562
8135.78.20.0/2635.78.20.1 to 35.78.20.6235.78.20.6362
8235.78.20.64/2635.78.20.65 to 35.78.20.12635.78.20.12762
8335.78.20.128/2635.78.20.129 to 35.78.20.19035.78.20.19162
8435.78.20.192/2635.78.20.193 to 35.78.20.25435.78.20.25562
8535.78.21.0/2635.78.21.1 to 35.78.21.6235.78.21.6362
8635.78.21.64/2635.78.21.65 to 35.78.21.12635.78.21.12762
8735.78.21.128/2635.78.21.129 to 35.78.21.19035.78.21.19162
8835.78.21.192/2635.78.21.193 to 35.78.21.25435.78.21.25562
8935.78.22.0/2635.78.22.1 to 35.78.22.6235.78.22.6362
9035.78.22.64/2635.78.22.65 to 35.78.22.12635.78.22.12762
9135.78.22.128/2635.78.22.129 to 35.78.22.19035.78.22.19162
9235.78.22.192/2635.78.22.193 to 35.78.22.25435.78.22.25562
9335.78.23.0/2635.78.23.1 to 35.78.23.6235.78.23.6362
9435.78.23.64/2635.78.23.65 to 35.78.23.12635.78.23.12762
9535.78.23.128/2635.78.23.129 to 35.78.23.19035.78.23.19162
9635.78.23.192/2635.78.23.193 to 35.78.23.25435.78.23.25562
9735.78.24.0/2635.78.24.1 to 35.78.24.6235.78.24.6362
9835.78.24.64/2635.78.24.65 to 35.78.24.12635.78.24.12762
9935.78.24.128/2635.78.24.129 to 35.78.24.19035.78.24.19162
10035.78.24.192/2635.78.24.193 to 35.78.24.25435.78.24.25562
10135.78.25.0/2635.78.25.1 to 35.78.25.6235.78.25.6362
10235.78.25.64/2635.78.25.65 to 35.78.25.12635.78.25.12762
10335.78.25.128/2635.78.25.129 to 35.78.25.19035.78.25.19162
10435.78.25.192/2635.78.25.193 to 35.78.25.25435.78.25.25562
10535.78.26.0/2635.78.26.1 to 35.78.26.6235.78.26.6362
10635.78.26.64/2635.78.26.65 to 35.78.26.12635.78.26.12762
10735.78.26.128/2635.78.26.129 to 35.78.26.19035.78.26.19162
10835.78.26.192/2635.78.26.193 to 35.78.26.25435.78.26.25562
10935.78.27.0/2635.78.27.1 to 35.78.27.6235.78.27.6362
11035.78.27.64/2635.78.27.65 to 35.78.27.12635.78.27.12762
11135.78.27.128/2635.78.27.129 to 35.78.27.19035.78.27.19162
11235.78.27.192/2635.78.27.193 to 35.78.27.25435.78.27.25562
11335.78.28.0/2635.78.28.1 to 35.78.28.6235.78.28.6362
11435.78.28.64/2635.78.28.65 to 35.78.28.12635.78.28.12762
11535.78.28.128/2635.78.28.129 to 35.78.28.19035.78.28.19162
11635.78.28.192/2635.78.28.193 to 35.78.28.25435.78.28.25562
11735.78.29.0/2635.78.29.1 to 35.78.29.6235.78.29.6362
11835.78.29.64/2635.78.29.65 to 35.78.29.12635.78.29.12762
11935.78.29.128/2635.78.29.129 to 35.78.29.19035.78.29.19162
12035.78.29.192/2635.78.29.193 to 35.78.29.25435.78.29.25562
12135.78.30.0/2635.78.30.1 to 35.78.30.6235.78.30.6362
12235.78.30.64/2635.78.30.65 to 35.78.30.12635.78.30.12762
12335.78.30.128/2635.78.30.129 to 35.78.30.19035.78.30.19162
12435.78.30.192/2635.78.30.193 to 35.78.30.25435.78.30.25562
12535.78.31.0/2635.78.31.1 to 35.78.31.6235.78.31.6362
12635.78.31.64/2635.78.31.65 to 35.78.31.12635.78.31.12762
12735.78.31.128/2635.78.31.129 to 35.78.31.19035.78.31.19162
12835.78.31.192/2635.78.31.193 to 35.78.31.25435.78.31.25562
12935.78.32.0/2635.78.32.1 to 35.78.32.6235.78.32.6362
13035.78.32.64/2635.78.32.65 to 35.78.32.12635.78.32.12762
13135.78.32.128/2635.78.32.129 to 35.78.32.19035.78.32.19162
13235.78.32.192/2635.78.32.193 to 35.78.32.25435.78.32.25562
13335.78.33.0/2635.78.33.1 to 35.78.33.6235.78.33.6362
13435.78.33.64/2635.78.33.65 to 35.78.33.12635.78.33.12762
13535.78.33.128/2635.78.33.129 to 35.78.33.19035.78.33.19162
13635.78.33.192/2635.78.33.193 to 35.78.33.25435.78.33.25562
13735.78.34.0/2635.78.34.1 to 35.78.34.6235.78.34.6362
13835.78.34.64/2635.78.34.65 to 35.78.34.12635.78.34.12762
13935.78.34.128/2635.78.34.129 to 35.78.34.19035.78.34.19162
14035.78.34.192/2635.78.34.193 to 35.78.34.25435.78.34.25562
14135.78.35.0/2635.78.35.1 to 35.78.35.6235.78.35.6362
14235.78.35.64/2635.78.35.65 to 35.78.35.12635.78.35.12762
14335.78.35.128/2635.78.35.129 to 35.78.35.19035.78.35.19162
14435.78.35.192/2635.78.35.193 to 35.78.35.25435.78.35.25562
14535.78.36.0/2635.78.36.1 to 35.78.36.6235.78.36.6362
14635.78.36.64/2635.78.36.65 to 35.78.36.12635.78.36.12762
14735.78.36.128/2635.78.36.129 to 35.78.36.19035.78.36.19162
14835.78.36.192/2635.78.36.193 to 35.78.36.25435.78.36.25562
14935.78.37.0/2635.78.37.1 to 35.78.37.6235.78.37.6362
15035.78.37.64/2635.78.37.65 to 35.78.37.12635.78.37.12762
15135.78.37.128/2635.78.37.129 to 35.78.37.19035.78.37.19162
15235.78.37.192/2635.78.37.193 to 35.78.37.25435.78.37.25562
15335.78.38.0/2635.78.38.1 to 35.78.38.6235.78.38.6362
15435.78.38.64/2635.78.38.65 to 35.78.38.12635.78.38.12762
15535.78.38.128/2635.78.38.129 to 35.78.38.19035.78.38.19162
15635.78.38.192/2635.78.38.193 to 35.78.38.25435.78.38.25562
15735.78.39.0/2635.78.39.1 to 35.78.39.6235.78.39.6362
15835.78.39.64/2635.78.39.65 to 35.78.39.12635.78.39.12762
15935.78.39.128/2635.78.39.129 to 35.78.39.19035.78.39.19162
16035.78.39.192/2635.78.39.193 to 35.78.39.25435.78.39.25562
16135.78.40.0/2635.78.40.1 to 35.78.40.6235.78.40.6362
16235.78.40.64/2635.78.40.65 to 35.78.40.12635.78.40.12762
16335.78.40.128/2635.78.40.129 to 35.78.40.19035.78.40.19162
16435.78.40.192/2635.78.40.193 to 35.78.40.25435.78.40.25562
16535.78.41.0/2635.78.41.1 to 35.78.41.6235.78.41.6362
16635.78.41.64/2635.78.41.65 to 35.78.41.12635.78.41.12762
16735.78.41.128/2635.78.41.129 to 35.78.41.19035.78.41.19162
16835.78.41.192/2635.78.41.193 to 35.78.41.25435.78.41.25562
16935.78.42.0/2635.78.42.1 to 35.78.42.6235.78.42.6362
17035.78.42.64/2635.78.42.65 to 35.78.42.12635.78.42.12762
17135.78.42.128/2635.78.42.129 to 35.78.42.19035.78.42.19162
17235.78.42.192/2635.78.42.193 to 35.78.42.25435.78.42.25562
17335.78.43.0/2635.78.43.1 to 35.78.43.6235.78.43.6362
17435.78.43.64/2635.78.43.65 to 35.78.43.12635.78.43.12762
17535.78.43.128/2635.78.43.129 to 35.78.43.19035.78.43.19162
17635.78.43.192/2635.78.43.193 to 35.78.43.25435.78.43.25562
17735.78.44.0/2635.78.44.1 to 35.78.44.6235.78.44.6362
17835.78.44.64/2635.78.44.65 to 35.78.44.12635.78.44.12762
17935.78.44.128/2635.78.44.129 to 35.78.44.19035.78.44.19162
18035.78.44.192/2635.78.44.193 to 35.78.44.25435.78.44.25562
18135.78.45.0/2635.78.45.1 to 35.78.45.6235.78.45.6362
18235.78.45.64/2635.78.45.65 to 35.78.45.12635.78.45.12762
18335.78.45.128/2635.78.45.129 to 35.78.45.19035.78.45.19162
18435.78.45.192/2635.78.45.193 to 35.78.45.25435.78.45.25562
18535.78.46.0/2635.78.46.1 to 35.78.46.6235.78.46.6362
18635.78.46.64/2635.78.46.65 to 35.78.46.12635.78.46.12762
18735.78.46.128/2635.78.46.129 to 35.78.46.19035.78.46.19162
18835.78.46.192/2635.78.46.193 to 35.78.46.25435.78.46.25562
18935.78.47.0/2635.78.47.1 to 35.78.47.6235.78.47.6362
19035.78.47.64/2635.78.47.65 to 35.78.47.12635.78.47.12762
19135.78.47.128/2635.78.47.129 to 35.78.47.19035.78.47.19162
19235.78.47.192/2635.78.47.193 to 35.78.47.25435.78.47.25562
19335.78.48.0/2635.78.48.1 to 35.78.48.6235.78.48.6362
19435.78.48.64/2635.78.48.65 to 35.78.48.12635.78.48.12762
19535.78.48.128/2635.78.48.129 to 35.78.48.19035.78.48.19162
19635.78.48.192/2635.78.48.193 to 35.78.48.25435.78.48.25562
19735.78.49.0/2635.78.49.1 to 35.78.49.6235.78.49.6362
19835.78.49.64/2635.78.49.65 to 35.78.49.12635.78.49.12762
19935.78.49.128/2635.78.49.129 to 35.78.49.19035.78.49.19162
20035.78.49.192/2635.78.49.193 to 35.78.49.25435.78.49.25562
20135.78.50.0/2635.78.50.1 to 35.78.50.6235.78.50.6362
20235.78.50.64/2635.78.50.65 to 35.78.50.12635.78.50.12762
20335.78.50.128/2635.78.50.129 to 35.78.50.19035.78.50.19162
20435.78.50.192/2635.78.50.193 to 35.78.50.25435.78.50.25562
20535.78.51.0/2635.78.51.1 to 35.78.51.6235.78.51.6362
20635.78.51.64/2635.78.51.65 to 35.78.51.12635.78.51.12762
20735.78.51.128/2635.78.51.129 to 35.78.51.19035.78.51.19162
20835.78.51.192/2635.78.51.193 to 35.78.51.25435.78.51.25562
20935.78.52.0/2635.78.52.1 to 35.78.52.6235.78.52.6362
21035.78.52.64/2635.78.52.65 to 35.78.52.12635.78.52.12762
21135.78.52.128/2635.78.52.129 to 35.78.52.19035.78.52.19162
21235.78.52.192/2635.78.52.193 to 35.78.52.25435.78.52.25562
21335.78.53.0/2635.78.53.1 to 35.78.53.6235.78.53.6362
21435.78.53.64/2635.78.53.65 to 35.78.53.12635.78.53.12762
21535.78.53.128/2635.78.53.129 to 35.78.53.19035.78.53.19162
21635.78.53.192/2635.78.53.193 to 35.78.53.25435.78.53.25562
21735.78.54.0/2635.78.54.1 to 35.78.54.6235.78.54.6362
21835.78.54.64/2635.78.54.65 to 35.78.54.12635.78.54.12762
21935.78.54.128/2635.78.54.129 to 35.78.54.19035.78.54.19162
22035.78.54.192/2635.78.54.193 to 35.78.54.25435.78.54.25562
22135.78.55.0/2635.78.55.1 to 35.78.55.6235.78.55.6362
22235.78.55.64/2635.78.55.65 to 35.78.55.12635.78.55.12762
22335.78.55.128/2635.78.55.129 to 35.78.55.19035.78.55.19162
22435.78.55.192/2635.78.55.193 to 35.78.55.25435.78.55.25562
22535.78.56.0/2635.78.56.1 to 35.78.56.6235.78.56.6362
22635.78.56.64/2635.78.56.65 to 35.78.56.12635.78.56.12762
22735.78.56.128/2635.78.56.129 to 35.78.56.19035.78.56.19162
22835.78.56.192/2635.78.56.193 to 35.78.56.25435.78.56.25562
22935.78.57.0/2635.78.57.1 to 35.78.57.6235.78.57.6362
23035.78.57.64/2635.78.57.65 to 35.78.57.12635.78.57.12762
23135.78.57.128/2635.78.57.129 to 35.78.57.19035.78.57.19162
23235.78.57.192/2635.78.57.193 to 35.78.57.25435.78.57.25562
23335.78.58.0/2635.78.58.1 to 35.78.58.6235.78.58.6362
23435.78.58.64/2635.78.58.65 to 35.78.58.12635.78.58.12762
23535.78.58.128/2635.78.58.129 to 35.78.58.19035.78.58.19162
23635.78.58.192/2635.78.58.193 to 35.78.58.25435.78.58.25562
23735.78.59.0/2635.78.59.1 to 35.78.59.6235.78.59.6362
23835.78.59.64/2635.78.59.65 to 35.78.59.12635.78.59.12762
23935.78.59.128/2635.78.59.129 to 35.78.59.19035.78.59.19162
24035.78.59.192/2635.78.59.193 to 35.78.59.25435.78.59.25562
24135.78.60.0/2635.78.60.1 to 35.78.60.6235.78.60.6362
24235.78.60.64/2635.78.60.65 to 35.78.60.12635.78.60.12762
24335.78.60.128/2635.78.60.129 to 35.78.60.19035.78.60.19162
24435.78.60.192/2635.78.60.193 to 35.78.60.25435.78.60.25562
24535.78.61.0/2635.78.61.1 to 35.78.61.6235.78.61.6362
24635.78.61.64/2635.78.61.65 to 35.78.61.12635.78.61.12762
24735.78.61.128/2635.78.61.129 to 35.78.61.19035.78.61.19162
24835.78.61.192/2635.78.61.193 to 35.78.61.25435.78.61.25562
24935.78.62.0/2635.78.62.1 to 35.78.62.6235.78.62.6362
25035.78.62.64/2635.78.62.65 to 35.78.62.12635.78.62.12762
25135.78.62.128/2635.78.62.129 to 35.78.62.19035.78.62.19162
25235.78.62.192/2635.78.62.193 to 35.78.62.25435.78.62.25562
25335.78.63.0/2635.78.63.1 to 35.78.63.6235.78.63.6362
25435.78.63.64/2635.78.63.65 to 35.78.63.12635.78.63.12762
25535.78.63.128/2635.78.63.129 to 35.78.63.19035.78.63.19162
25635.78.63.192/2635.78.63.193 to 35.78.63.25435.78.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses